Inicio / Content / Boletín de vulnerabilidades

Boletín de vulnerabilidades

Nuevas vulnerabilidades documentadas a los productos que usted está suscrito:

Otras vulnerabilidades de los productos a los que usted está suscrito, y cuya información ha sido actualizada recientemente:

Vulnerabilidad en Private Internet Access (PIA) de London Trust Media (CVE-2019-12571)
Gravedad:
MediaMedia
Publication date: 11/07/2019
Last modified:
16/07/2019
Descripción:
Una vulnerabilidad en el cliente VPN de Private Internet Access (PIA) versión 0.9.8 (build 02099) de London Trust Media para macOS, podría permitir que un atacante local autenticado sobrescriba archivos arbitrarios. Cuando el cliente inicia una conexión, se crea el archivo XML /tmp/pia-watcher.plist. Si el archivo existe, se truncará y el contenido se sobrescribirá por completo. Este archivo se elimina al desconectarse. Un usuario sin privilegios puede crear un enlace físico o de software a archivos arbitrarios propiedad de cualquier usuario en el sistema, incluida la root. Esto crea una condición de denegación de servicio y una posible pérdida de datos si es aprovechada por un usuario local malicioso.
Vulnerabilidad en London Trust Media (CVE-2019-12573)
Gravedad:
MediaMedia
Publication date: 11/07/2019
Last modified:
16/07/2019
Descripción:
Una vulnerabilidad en el cliente VPN de Private Internet Access (PIA) de London Trust Media para Linux y macOS, podría permitir que un atacante local autenticado sobrescriba archivos arbitrarios. El binario openvpn_launcher es root setuid. Este binario admite la opción --log, que acepta una ruta (path) de acceso como argumento. Este parámetro no está saneado, lo que permite a un usuario local sin privilegios sobrescribir archivos arbitrarios propiedad de cualquier usuario en el sistema, incluida la root. Esto crea una condición de denegación de servicio y una posible pérdida de datos si es aprovechada por un usuario local malicioso.
Vulnerabilidad en London Trust Media para Windows (CVE-2019-12574)
Gravedad:
AltaAlta
Publication date: 11/07/2019
Last modified:
16/07/2019
Descripción:
Una vulnerabilidad en el cliente VPN de Private Internet Access (PIA) versiones 1.0 de London Trust Media para Windows, podría permitir a un atacante local autenticado ejecutar código arbitrario con privilegios elevados. El cliente PIA es susceptible a una vulnerabilidad de inyección DLL durante el proceso de actualización de software. El actualizador carga varias bibliotecas desde una carpeta a la que los usuarios autenticados tienen acceso de escritura. Un usuario con pocos privilegios puede aprovechar esta vulnerabilidad para ejecutar código arbitrario como SYSTEM.
Vulnerabilidad en Private Internet Access (PIA) de London Trust Media para Linux (CVE-2019-12575)
Gravedad:
AltaAlta
Publication date: 11/07/2019
Last modified:
24/08/2020
Descripción:
Una vulnerabilidad en el cliente VPN de Private Internet Access (PIA) de London Trust Media para Linux, podría permitir a un atacante local autenticado ejecutar código arbitrario con privilegios elevados. El binario root_runner.64 es root setuid. Este binario ejecuta el archivo /opt/pia/ruby/64/ruby, que a su vez intenta cargar varias bibliotecas en /tmp/ruby-deploy.old/lib. Un usuario local sin privilegios puede crear una biblioteca maliciosa bajo esta ruta (path) de acceso para ejecutar código arbitrario como el usuario root.
Vulnerabilidad en VPN de Private Internet Access (CVE-2019-12576)
Gravedad:
AltaAlta
Publication date: 11/07/2019
Last modified:
24/08/2020
Descripción:
Una vulnerabilidad en el cliente VPN de Private Internet Access (PIA) de London Trust Media para macOS, podría permitir a un atacante local autenticado ejecutar código arbitrario con privilegios elevados. El binario openvpn_launcher es root setuid. Este programa se llama durante el proceso de conexión y ejecuta varias utilidades del sistema operativo para configurar el sistema. La utilidad networksetup se llama mediante rutas (path) relativas. Un usuario local sin privilegios puede ejecutar comandos arbitrarios como root mediante la creación de un troyano networksetup que se ejecutará durante el proceso de conexión. Esto es posible porque la variable de entorno PATH no se restablece antes de ejecutar la utilidad del sistema operativo.
Vulnerabilidad en London Trust Media para macOS (CVE-2019-12577)
Gravedad:
AltaAlta
Publication date: 11/07/2019
Last modified:
24/08/2020
Descripción:
Una vulnerabilidad en el cliente VPN de Private Internet Access (PIA) de London Trust Media para macOS, podría permitir a un atacante local autenticado ejecutar código arbitrario con privilegios elevados. El binario de macOS openvpn_launcher.64 es root setuid. Este binario crea el archivo /tmp/pia_upscript.sh cuando es ejecutado. Dado que la máscara de creación de archivos (umask) no se restablece, el valor umask se hereda del proceso de llamada. Este valor se puede manipular para causar que el binario con privilegios cree archivos con permisos de escritura mundial. Un usuario local sin privilegios puede modificar el archivo /tmp/pia_upscript.sh durante el proceso de conexión para ejecutar código arbitrario como el usuario root.
Vulnerabilidad en London Trust Media para Linux. (CVE-2019-12578)
Gravedad:
AltaAlta
Publication date: 11/07/2019
Last modified:
24/08/2020
Descripción:
Una vulnerabilidad en el cliente VPN de Private Internet Access (PIA) de London Trust Media para Linux, podría permitir a un atacante local autenticado ejecutar código arbitrario con privilegios elevados. El binario openvpn_launcher.64 es root setuid. Este binario ejecuta el archivo /opt/pia/openvpn-64/openvpn, pasando los parámetros proporcionados desde la línea de comandos. Se tuvo cuidado de desactivar mediante programación los parámetros openvpn potencialmente peligrosos; sin embargo, puede ser utilizado el parámetro --route-pre-down. Este parámetro acepta una ruta (path) arbitraria en un script/programa que se ejecutará cuando se cierre OpenVPN. El parámetro --script-security también debe pasarse para permitir que se tome esta acción y --script-security no está actualmente en la lista de parámetros deshabilitados. Un usuario local sin privilegios puede pasar un script/binario malicioso a la opción --route-pre-down, que será ejecutado como root cuando se detenga openvpn.
Vulnerabilidad en London Trust Media para Linux y macOS (CVE-2019-12579)
Gravedad:
AltaAlta
Publication date: 11/07/2019
Last modified:
24/08/2020
Descripción:
Una vulnerabilidad en el cliente VPN de Private Internet Access (PIA) de London Trust Media para Linux y macOS, podría permitir a un atacante local autenticado ejecutar código arbitrario con privilegios elevados. El binario openvpn_launcher.64 de binarios de PIA para Linux/macOS es root setuid. Este binario acepta varios parámetros para actualizar la configuración del sistema. Estos parámetros se pasan a los comandos del sistema operativo mediante un documento "here". Los parámetros no se sanean, lo que permite inyectar comandos arbitrarios utilizando metacaracteres de shell. Un usuario local sin privilegios puede pasar parámetros diseñados especiales que se interpolarán mediante las llamadas del sistema operativo.